#!/usr/bin/perl -w
# encode_template.pl - Don Yang (uguu.org)
#
# 07/06/10

use strict;
my $newline = ord('!');
my $toggle_eye_code = ord('*');
my $toggle_eye_output = $toggle_eye_code + 1;
my $eye_min = $newline + 2;
my $eye_max = $toggle_eye_code - 1;
my $space_min = $eye_max + 3;
my $space_max = ord('\\') - 1;
my $char_min = $space_max + 2;

my $text = join '', <>;

for(my $i = 0; $i < length($text); $i++)
{
   my $c = ord(substr($text, $i, 1));
   if( $c >= $char_min )
   {
      print 'X' x ($c - $char_min + 1);
   }
   elsif( $c >= $space_min )
   {
      print ' ' x ($c - $space_min + 1);
   }
   elsif( $c == $toggle_eye_code )
   {
      print chr($toggle_eye_output);
   }
   elsif( $c >= $eye_min )
   {
      print '@' x ($c - $eye_min + 1);
   }
   elsif( $c == $newline )
   {
      print "\n";
   }
}
